## libpfm4 4.4.0

=== debian/changelog ===
libpfm4 (4.4.0-0ubuntu1) saucy; urgency=low

  * New upstream version. LP: #1208939.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Aug 2013 20:32:19 +0200

libpfm4 (4.3.0-1ubuntu1) saucy; urgency=low

  * Update libpfm4.symbols to resolve FTBFS on non-x86 architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 02 Jun 2013 19:17:18 -0600

libpfm4 (4.3.0-1) unstable; urgency=low

  * First official upload to Debian (Closes: #702242: ITP: libpfm4 -- Library
    to program the performance monitoring events)
    Expecting FTBFS due to bad symbol file on all but amd64 arch
  * Add libpfm4-dbg package
  * Upgrade Standard-Version
  * Bump Debhelper compat to 9
  * Switch to multi-arch
  * Add a symbol file
  * Add a watch file
  * Fix lots of lintian messages (typos, manpage syntax, etc.)
  * Remove dependency on dpatch as source "3.0 (quilt)" already include a
    support for quilt
  * switch debian/copyright to copyright-format 1.0
    + rework copyright list from upstream git commits history
    + debian packaging was said as GPL-v2 in upstream tarball but, after
      signaling the fact to upstream, they (with all authors agreement) switch
      to the same license as the software itself (see git commit 4875866
      in upstream repo). This package already presents this fact.
  * fix python compilation
  * libpfm4-dev conflicts/replaces the old libpfm3-3.2-dev

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 06 Mar 2013 10:27:13 +0100

libpfm4 (3.0) unstable; urgency=low

  * ARM Cortex A15 support
  * updated Intel Sandy Bridge core PMU events
  * Intel Sandy Bridge desktop (model 42) uncore PMU support
  * Intel Ivy Bridge support
  * full perf_events generic event support
  * updated perf_examples
  * enabled Intel Nehalem/Westmere uncore PMU support
  * AMD LLano processor supoprt (Fam 12h)
  * AMD Turion rocessor supoprt (Fam 11h)
  * Intel Atom Cedarview processor support
  * Win32 compilation support
  * perf_events excl attribute
  * perf_events generic hw event aliases support
  * many bug fixes

 -- Stephane Eranian <eranian@gmail.com>  Mon, 27 Aug  2012 17:45:22 +0200

libpfm4 (2.0) unstable; urgency=low

  * updated event tables for Intel X86 processors
  * new AMD Fam15h support
  * new MIPS 74k support
  * updated ARM Cortex A8/A9 support
  * 30% size reduction for Intel/AMD X86 event tables
  * bug fixes and other improvements

 -- Stephane Eranian <eranian@gmail.com>  Fri, 7 Oct  2011 15:55:22 +0200

libpfm4 (1.0) unstable; urgency=low

  * Initial Release.

 -- Arun Sharma <aruns@google.com>  Mon, 21 Jun 2010 15:17:22 -0700
