=== debian/watch ===
version=3

#http://sf.net/audacity/audacity-src-(.+)\.tar\.gz
http://sf.net/perfmon2/libpfm-(4\..*)\.tar\.gz
