## libpfm4 4.4.0%2Bgit47

=== tests/Makefile ===
--- 
+++ 
@@ -39,6 +39,10 @@
 SRCS += validate_arm.c
 endif
 
+ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)
+SRCS += validate_power.c
+endif
+
 CFLAGS+= -I. -D_GNU_SOURCE
 LIBS += -lm
