## libpfm4 4.4.0+git47

=== docs/Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	 libpfm_amd64_k7.3	\
 	 libpfm_amd64_k8.3	\
 	 libpfm_amd64_fam10h.3	\
+	 libpfm_amd64_fam15h.3	\
 	 libpfm_intel_atom.3	\
 	 libpfm_intel_nhm.3	\
 	 libpfm_intel_nhm_unc.3 \
@@ -43,7 +44,20 @@
 	 libpfm_intel_wsm_unc.3 \
 	 libpfm_intel_snb.3	\
 	 libpfm_intel_snb_unc.3 \
-	 libpfm_intel_ivb.3
+	 libpfm_intel_ivb.3	\
+	 libpfm_intel_ivb_unc.3 \
+	 libpfm_intel_hsw.3	\
+	 libpfm_intel_rapl.3	\
+	 libpfm_intel_slm.3	\
+	 libpfm_intel_snbep_unc_cbo.3 \
+	 libpfm_intel_snbep_unc_ha.3 \
+	 libpfm_intel_snbep_unc_imc.3 \
+	 libpfm_intel_snbep_unc_pcu.3 \
+	 libpfm_intel_snbep_unc_qpi.3 \
+	 libpfm_intel_snbep_unc_ubo.3 \
+	 libpfm_intel_snbep_unc_r2pcie.3 \
+	 libpfm_intel_snbep_unc_r3qpi.3 \
+	 libpfm_intel_knc.3
 
 ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
 ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
@@ -52,7 +66,7 @@
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
-ARCH_MAN += libpfm_arm_ac15.3 libpfm_arm_ac8.3 libpfm_arm_ac9.3
+ARCH_MAN += libpfm_arm_ac15.3 libpfm_arm_ac8.3 libpfm_arm_ac9.3 libpfm_arm_qcom_krait.3
 endif
