=== lib/Makefile ===
--- 
+++ 
@@ -48,15 +48,30 @@
 
 ifeq ($(SYS),Linux)
 SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
-	pfmlib_intel_netburst_perf_event.c
+	pfmlib_intel_netburst_perf_event.c \
+	pfmlib_intel_snbep_unc_perf_event.c
 endif
 
 INCARCH = $(INC_X86)
 SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
 	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
 	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
-	  pfmlib_intel_wsm.c  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
-	  pfmlib_intel_ivb.c \
+	  pfmlib_intel_wsm.c  \
+	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
+	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
+	  pfmlib_intel_hsw.c \
+	  pfmlib_intel_rapl.c \
+	  pfmlib_intel_snbep_unc.c \
+	  pfmlib_intel_snbep_unc_cbo.c \
+	  pfmlib_intel_snbep_unc_ha.c \
+	  pfmlib_intel_snbep_unc_imc.c \
+	  pfmlib_intel_snbep_unc_pcu.c \
+	  pfmlib_intel_snbep_unc_qpi.c \
+	  pfmlib_intel_snbep_unc_ubo.c \
+	  pfmlib_intel_snbep_unc_r2pcie.c \
+	  pfmlib_intel_snbep_unc_r3qpi.c \
+	  pfmlib_intel_knc.c \
+	  pfmlib_intel_slm.c \
 	  pfmlib_intel_netburst.c \
 	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
 	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
@@ -82,8 +97,19 @@
 endif
 
 INCARCH = $(INC_POWERPC)
-SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c
+SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
+endif
+
+ifeq ($(CONFIG_PFMLIB_ARCH_S390X),y)
+
+ifeq ($(SYS),Linux)
+SRCS += pfmlib_s390x_perf_event.c
+endif
+
+INCARCH = $(INC_S390X)
+SRCS   += pfmlib_s390x_cpumf.c
+CFLAGS += -DCONFIG_PFMLIB_ARCH_S390X
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)
@@ -104,7 +130,7 @@
 endif
 
 INCARCH = $(INC_ARM)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
 endif
 
@@ -179,8 +205,21 @@
 	events/intel_wsm_events.h	\
 	events/intel_wsm_unc_events.h	\
 	events/intel_snb_events.h	\
+	events/intel_snbep_events.h	\
 	events/intel_snb_unc_events.h	\
-	events/intel_ivb_events.h
+	events/intel_ivb_events.h	\
+	events/intel_hsw_events.h	\
+	pfmlib_intel_snbep_unc_priv.h	\
+	events/intel_snbep_unc_cbo_events.h \
+	events/intel_snbep_unc_ha_events.h \
+	events/intel_snbep_unc_imc_events.h \
+	events/intel_snbep_unc_pcu_events.h \
+	events/intel_snbep_unc_qpi_events.h \
+	events/intel_snbep_unc_ubo_events.h \
+	events/intel_snbep_unc_r2pcie_events.h \
+	events/intel_snbep_unc_r3qpi_events.h \
+	events/intel_knc_events.h \
+	events/intel_slm_events.h
 
 INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h
 
@@ -191,7 +230,11 @@
 	events/power5+_events.h		\
 	events/power6_events.h		\
 	events/power7_events.h		\
+	events/power8_events.h		\
 	events/torrent_events.h
+
+INC_S390X=pfmlib_s390x_priv.h \
+	events/s390x_cpumf_events.h
 
 INC_SPARC=events/sparc_ultra12_events.h		\
 	events/sparc_ultra3_events.h		\
