## libpfm4 4.4.0+git47-g71166e2

=== debian/changelog ===
libpfm4 (4.4.0+git47-g71166e2-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Jan 2014 19:59:52 +0100

libpfm4 (4.4.0+git43-gac7e1ce-1) experimental; urgency=low

  * New upstream GIT snapshot.
  * Drop typo patches, applied upstream.
  * [i386] Inherit common symbols from amd64.
  * [amd64] Add new symbols.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2014 03:02:00 +0100

libpfm4 (4.4.0-2) unstable; urgency=low

  * debian/*: Cleanup cruft.
  * Move misplaced symbols from .symbols.common to .symbols.amd64.
  * [armhf, s390x] Add new symbols from 4.4.0.
  * [powerpcspe] Use the same symbols as powerpc.  (Closes: #730633)
  * [i386] Add a separate symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2013 16:46:14 +0100

libpfm4 (4.4.0-1) unstable; urgency=low

  * New upstream release.
  * Split symbols file and add arch specific symbols.  (Closes: #709654)
  * [amd64] Add new symbols from 4.4.0.
  * Fix more typos detected by lintian.
  * Use the canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2013 03:00:08 +0100

libpfm4 (4.0) unstable; urgency=low
  * Intel IVB-EP support
  * Intel IVB updates support
  * Intel SNB updates support
  * Intel SNB-EP uncore support
  * ldlat support (PEBS-LL)
  * New Intel Atom support
  * bug fixes

 -- Stephane Eranian <eranian@gmail.com>  Fri, 08 JUn  2013 18:45:01 +0200
