=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libpfm4
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
-Uploaders: Stephane Eranian <eranian@gmail.com>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
+Uploaders:
+ Andreas Beckmann <anbe@debian.org>,
+ Stephane Eranian <eranian@gmail.com>
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
 X-Python-Version: >=2.4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://perfmon2.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/libpfm4.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libpfm4.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/libpfm4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpfm4.git;a=summary
 
 Package: libpfm4
 Architecture: any
