=== debian/rules ===
--- 
+++ 
@@ -57,10 +57,8 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	#dh_install --fail-missing #-XlibOpenCL.la
 	dh_install --list-missing -X.pyc
 
 .PHONY: override_dh_strip
 override_dh_strip:
 	dh_strip --dbg-package=libpfm4-dbg
-
