=== debian/watch ===
version=3

http://sf.net/perfmon2/libpfm-(4\..*)\.tar\.gz
