## libpfm4 4.5.0+git25-g60cdc9b

=== debian/changelog ===
libpfm4 (4.5.0+git25-g60cdc9b-1) unstable; urgency=medium

  * New upstream GIT snapshot.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Aug 2014 01:09:41 +0200

libpfm4 (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new symbols from 4.5.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Mar 2014 22:59:39 +0100

libpfm4 (5.0) unstable; urgency=low
  * Intel IVB-EP uncore PMU support
  * Intel Silvermont support
  * Perf raw event syntax support
  * Intel RAPL event support
  * AMD Fam15h northbridge support
  * Qualcomm Krait support
  * IBM Power 8 support
  * IBM s390 updates
  * AMD Fam15h fixes
  * various IVB, SNB, HSW event table updates
  * more bug fixes

 -- Stephane Eranian <eranian@gmail.com>  Fri, 21 Feb 2014 14:14:15 +0100
