=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
- Stephane Eranian <eranian@gmail.com>
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
 X-Python-Version: >=2.4
 Standards-Version: 3.9.5
