## libpfm4 4.5.0+git38-g1ca1338

=== debian/changelog ===
libpfm4 (4.5.0+git38-g1ca1338-2) unstable; urgency=medium

  * dpkg-gensymbols: Raise check level to 4 - fail on any symbol change.
  * [armhf, arm64] Factor out common symbols to .symbols.arm.common.
  * [armhf, powerpc] Add new symbols from 4.5.0.
  * [armhf, arm64] Add new symbols.
  * [arm64] Add a separate symbols file.
  * [armel] Use the same symbols as armhf.
  * [ppc64, ppc64el] Use the same symbols as powerpc.
  * [sparc64] Use the same symbols as sparc.
  * d/copyright: Refresh copyright list from upstream git commit history.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Oct 2014 11:50:47 +0200

libpfm4 (4.5.0+git38-g1ca1338-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * [amd64] Add new symbols.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Oct 2014 21:33:03 +0200
