=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
 X-Python-Version: >=2.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libpfm4.git
