=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,10 @@
 	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
 	dh_auto_clean --sourcedirectory=python --buildsystem=makefile
 
+.PHONY: override_dh_shlibs
+override_dh_makeshlibs:
+	dh_makeshlibs -a -- -c4
+
 .PHONY: override_dh_shlibdeps
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
