## libpfm4 4.6.0

=== debian/changelog ===
libpfm4 (4.6.0-4) unstable; urgency=medium

  * Cherry-pick Haswell EP RAPL support, Broadwell FPARITH and some bug fixes.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Jun 2015 15:48:36 +0200

libpfm4 (4.6.0-3) unstable; urgency=medium

  * Cherry-pick Broadwell, Airmont support and memory leak fixes.
  * Fix hyphenation errors in manpages.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 20:43:42 +0200

libpfm4 (4.6.0-2) experimental; urgency=medium

  * [mips64, mips64el] Use the same symbols as mips(el).  (Closes: #775836)
  * Cherry-pick missing MEM_LOAD_UOPS_RETIRED:L1_MISS for IvyBridge, typo
    fixes and cgroup fix.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Feb 2015 13:59:23 +0100

libpfm4 (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add new symbols from 4.6.0.
  * Add Build-Depends: dh-python.
  * Cherry-pick missing ICACHE:IFETCH_STALLS for Haswell and SandyBridge.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Jan 2015 21:15:49 +0100

libpfm4 (6.0) unstable; urgency=low
  * add Intel Broadwell (desktop) support
  * add Intel Haswell-EP support (core)
  * add Applied Micro X-Gene processor support
  * simplified X86 model detection for Intel processors
  * Intel SNB, IVB, HSW event table updates
  * IBM Power8 event table updates
  * add ARM Cortex A53 support
  * more bug fixes and minor updates

 -- Stephane Eranian <eranian@gmail.com>  Tue, 30 Dec  2014 16:56:01 +0200
