=== debian/control ===
--- 
+++ 
@@ -3,7 +3,11 @@
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), swig
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all-dev (>= 2.6.6-3~),
+ swig,
 X-Python-Version: >=2.4
 Standards-Version: 3.9.6
 Section: libs
