=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
 	dh_auto_clean --sourcedirectory=python --buildsystem=makefile
 
-.PHONY: override_dh_shlibs
+.PHONY: override_dh_makeshlibs
 override_dh_makeshlibs:
 	dh_makeshlibs -a -- -c4
