=== debian/changelog ===
libpfm4 (4.7.0-4) unstable; urgency=medium

  * Cherry-pick umask encoding fixes.
  * use-LDFLAGS-when-linking.patch: Remove, fixed upstream.
  * typos.patch: Fix some more typos.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Feb 2016 12:42:15 +0100

libpfm4 (4.7.0-3) unstable; urgency=medium

  * [x32] Use the same symbols as amd64.
  * d/copyright: Refresh copyright list from upstream git commit history.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Feb 2016 16:36:16 +0100

libpfm4 (4.7.0-2) unstable; urgency=medium

  * Restrict to Architecture: linux-any.
  * [powerpc] Add new symbols from 4.7.0.
  * [x32] x32.patch: New, fix printing __time_t.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Feb 2016 11:27:14 +0100

libpfm4 (4.7.0-1) unstable; urgency=medium

  * New upstream release.  (Closes: #811924)
  * Add new symbols from 4.7.0.
  * Drop libpfm4-dbg package in favor of autogenerated -dbgsyms packages.
  * man-sections.patch, typos.patch: New, fix some issues found by Lintian.
  * Bump Standards-Version to 3.9.7. No changes needed.
  * Update Vcs-* URLs.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Feb 2016 05:00:03 +0100

libpfm4 (7.0) unstable; urgency=low
  * add Intel Skylake support
  * add Intel Haswell-EP uncore PMU support
  * add Broadwell DE support
  * updated most Intel x86 event tables to match official tables
  * refreshed perf_event.h header to 4.2
  * more bug fixes and minor updates

 -- Stephane Eranian <eranian@gmail.com>  Thu, 11 Feb  2016 16:56:01 +0200
