=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  python-all-dev (>= 2.6.6-3~),
  swig,
 X-Python-Version: >=2.4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://perfmon2.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/libpfm4.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpfm4.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpfm4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libpfm4.git
 
 Package: libpfm4
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,7 +32,7 @@
 
 Package: libpfm4-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
 Conflicts: libpfm3-3.2-dev
@@ -48,7 +48,7 @@
  This package provides the development files of the library.
 
 Package: python-libpfm4
-Architecture: any
+Architecture: linux-any
 Section: python
 Depends: libpfm4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
@@ -58,19 +58,3 @@
  This package allows you to write simple Python scripts that monitor
  various hardware performance monitoring events. It may be more efficient
  to use this approach instead of parsing the output of other tools.
-
-Package: libpfm4-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
-Description: Debug symbols for the libpfm4 library
- Libpfm4 helps convert from an event name, expressed as a string, to
- the event encoding. The encoding can then be used with specific OS
- interfaces. Libpfm4 also provides OS-specific interfaces to directly
- setup OS-specific data structures to be passed to the kernel. The
- current libpfm4, for instance, provides support for the perf_events
- interface which was introduced in Linux v2.6.31.
- .
- This package provides the debug symbols of the shared library.
-
