=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,3 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --list-missing -X.pyc
-
-.PHONY: override_dh_strip
-override_dh_strip:
-	dh_strip --dbg-package=libpfm4-dbg
