## libpfm4 4.7.0+git11

=== lib/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
 endif
 
-CFLAGS+=-D_REENTRANT -I.
+CFLAGS+=-D_REENTRANT -I. -fvisibility=hidden
 
 #
 # list all library support modules
