## libpfm4 4.7.0+git11-gbfb9baf

=== debian/changelog ===
libpfm4 (4.7.0+git11-gbfb9baf-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Simplify symbols file. The library no longer exposes (arch-specific)
    private symbols.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 May 2016 20:18:35 +0200
